<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('sellers/sellers', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'create'])->name('createSeller');
Route::get('sellers/sellers/{id}', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'get'])->name('getSeller');
Route::put('sellers/sellers/{id}', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'replace'])->name('replaceSeller');
Route::delete('sellers/sellers/{id}', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'delete'])->name('deleteSeller');
Route::patch('sellers/sellers/{id}', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'patch'])->name('patchSeller');
Route::post('sellers/sellers:search', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'search'])->name('searchSellers');
Route::post('sellers/sellers:create', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'createWithOperator'])->name('createSellerWithOperator');
Route::post('sellers/sellers:register', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'register'])->name('registerSellerWithOperator');
Route::post('stores/stores', [\App\Http\ApiV1\Modules\Stores\Controllers\StoresController::class, 'create'])->name('createStore');
Route::get('stores/stores/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoresController::class, 'get'])->name('getStore');
Route::put('stores/stores/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoresController::class, 'replace'])->name('replaceStore');
Route::delete('stores/stores/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoresController::class, 'delete'])->name('deleteStore');
Route::patch('stores/stores/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoresController::class, 'patch'])->name('patchStore');
Route::post('stores/stores:search', [\App\Http\ApiV1\Modules\Stores\Controllers\StoresController::class, 'search'])->name('searchStores');
Route::post('stores/stores:search-one', [\App\Http\ApiV1\Modules\Stores\Controllers\StoresController::class, 'searchOne'])->name('searchOneStore');
Route::post('stores/workings', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreWorkingsController::class, 'create'])->name('createStoreWorking');
Route::get('stores/workings/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreWorkingsController::class, 'get'])->name('getStoreWorking');
Route::put('stores/workings/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreWorkingsController::class, 'replace'])->name('replaceStoreWorking');
Route::delete('stores/workings/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreWorkingsController::class, 'delete'])->name('deleteStoreWorking');
Route::patch('stores/workings/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreWorkingsController::class, 'patch'])->name('patchStoreWorking');
Route::post('stores/workings:search', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreWorkingsController::class, 'search'])->name('searchStoreWorkings');
Route::post('stores/contacts', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreContactsController::class, 'create'])->name('createStoreContact');
Route::get('stores/contacts/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreContactsController::class, 'get'])->name('getStoreContact');
Route::put('stores/contacts/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreContactsController::class, 'replace'])->name('replaceStoreContact');
Route::delete('stores/contacts/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreContactsController::class, 'delete'])->name('deleteStoreContact');
Route::patch('stores/contacts/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreContactsController::class, 'patch'])->name('patchStoreContact');
Route::post('stores/contacts:search', [\App\Http\ApiV1\Modules\Stores\Controllers\StoreContactsController::class, 'search'])->name('searchStoreContacts');
Route::post('stores/pickup-times', [\App\Http\ApiV1\Modules\Stores\Controllers\StorePickupTimesController::class, 'create'])->name('createStorePickupTime');
Route::get('stores/pickup-times/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StorePickupTimesController::class, 'get'])->name('getStorePickupTime');
Route::put('stores/pickup-times/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StorePickupTimesController::class, 'replace'])->name('replaceStorePickupTime');
Route::delete('stores/pickup-times/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StorePickupTimesController::class, 'delete'])->name('deleteStorePickupTime');
Route::patch('stores/pickup-times/{id}', [\App\Http\ApiV1\Modules\Stores\Controllers\StorePickupTimesController::class, 'patch'])->name('patchStorePickupTime');
Route::post('stores/pickup-times:search', [\App\Http\ApiV1\Modules\Stores\Controllers\StorePickupTimesController::class, 'search'])->name('searchStorePickupTimes');
Route::post('seller-users/operators', [\App\Http\ApiV1\Modules\SellerUsers\Controllers\OperatorsController::class, 'create'])->name('createOperator');
Route::get('seller-users/operators/{id}', [\App\Http\ApiV1\Modules\SellerUsers\Controllers\OperatorsController::class, 'get'])->name('getOperator');
Route::put('seller-users/operators/{id}', [\App\Http\ApiV1\Modules\SellerUsers\Controllers\OperatorsController::class, 'replace'])->name('replaceOperator');
Route::delete('seller-users/operators/{id}', [\App\Http\ApiV1\Modules\SellerUsers\Controllers\OperatorsController::class, 'delete'])->name('deleteOperator');
Route::patch('seller-users/operators/{id}', [\App\Http\ApiV1\Modules\SellerUsers\Controllers\OperatorsController::class, 'patch'])->name('patchOperator');
Route::post('seller-users/operators:search', [\App\Http\ApiV1\Modules\SellerUsers\Controllers\OperatorsController::class, 'search'])->name('searchOperators');
Route::get('sellers/seller-statuses', [\App\Http\ApiV1\Modules\Sellers\Controllers\SellersController::class, 'getSellerStatuses'])->name('getSellerStatuses');
